<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<ui:composition xmlns="http://www.w3.org/1999/xhtml"
                xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:p="http://primefaces.org/ui"
                xmlns:f="http://java.sun.com/jsf/core"

                template="/WEB-INF/templates/LoggedTemplate.xhtml">

    <ui:define name="pageTitleText">Prioridad de Conceptos</ui:define>

    <ui:define name="contentPart">

        <h:form id="fmaPrioridadConcepto">
            <p:growl id="confirmListConGrowl" 
                     showDetail="true" 
                     sticky="false"/>                                     

            <div align="left" style="padding-right: 30px;">
                <h:outputText 
                    value="Nómina -> Configuración -> Prioridad de conceptos" 
                    style="font-weight: bold; font-size: medium;" />
            </div>
            <hr class="ui-separator ui-state-default ui-corner-all separator"></hr>
            <h:outputText value="Asignación de prioridad de cálculo para los Conceptos" />
            <br/><br/>

            <h:panelGrid columns="6" cellpadding="5" columnClasses="centered5,centered6,centered5,centered6,centered5,centered6">
                <p:column>
                    <h:outputLabel for="tipoNomina" value="Tipo de Nómina: *" style="font-weight: bold"></h:outputLabel> 
                </p:column>
                <p:column>
                    <p:selectOneMenu id="tipoNomina" value="#{prioridadDeConceptosMB.selectedRhNomnCatTipoNominaTO}"  required="true" 
                                     style="width: 250px" requiredMessage="El tipo de nómia es requerido para realizar la búsqueda" converter="entityConverter">
                        <f:selectItems value="#{prioridadDeConceptosMB.listaTiposNomina}" var="tipoNomina" itemLabel="#{tipoNomina.strTipoNomina}" itemValue="#{tipoNomina}" />
                        <p:ajax event="valueChange" listener="#{prioridadDeConceptosMB.onCambiarFiltro}" update="conceptosPrioridad btnActPrioridad"/>
                    </p:selectOneMenu>
                </p:column>
                <p:column>
                    <h:outputLabel for="tipoConcepto" value="Tipo de Concepto: *" style="font-weight: bold"></h:outputLabel> 
                </p:column>
                <p:column>
                    <p:selectOneMenu id="tipoConcepto" value="#{prioridadDeConceptosMB.selectedRhNomnTipoConceptoTO}"  required="true" 
                                     style="width: 250px" requiredMessage="El tipo de concepto es requerido para realizar la búsqueda" converter="entityConverter">
                        <f:selectItems value="#{prioridadDeConceptosMB.listaTiposConceptos}" var="tipo" itemLabel="#{tipo.tipoConcepto}" itemValue="#{tipo}" />
                        <p:ajax event="valueChange" listener="#{prioridadDeConceptosMB.onCambiarFiltro}" update="conceptosPrioridad btnActPrioridad"/>
                    </p:selectOneMenu>
                </p:column>
                <p:column>
                    <p:commandButton
                        value="Buscar conceptos"
                        styleClass="commandButton"
                        action="#{prioridadDeConceptosMB.recuperaConceptos}"
                        update="conceptosPrioridad btnActPrioridad">
                    </p:commandButton>   
                </p:column>



            </h:panelGrid>
            <br/>
            <h:outputText value="Para re-asignar la prioridad de un concepto, arrastrelo en la lista a la posición deseada." />
            <br/>
            <h:panelGrid columns="1" cellpadding="10" columnClasses="centered7">
                <p:dataTable id="conceptosPrioridad" value="#{prioridadDeConceptosMB.listaConceptosTO}" style="font-size: small"
                             var="conceptoTO" 
                             emptyMessage="Realiza una nueva búsqueda" 
                             rowKey="#{conceptoTO.idConcepto}" 
                             paginator="true"
                             rows="5"
                             rowsPerPageTemplate="5,10,15,20,25,30,35,40,45,50,55,60,65,70,75,80,85,90"
                             paginatorPosition="bottom" draggableRows="true">     

                    <p:ajax event="rowReorder" listener="#{prioridadDeConceptosMB.onRowReorder}" update="fmaPrioridadConcepto"/>

                    <p:column style="text-align: center; width:100px" headerText="ID"
                              filterMatchMode="contains"
                              sortBy="#{conceptoTO.idConcepto}">
                        <h:outputText value="#{conceptoTO.idConcepto}" />
                    </p:column>

                    <p:column style="text-align: center; width:100px" headerText="Clave"   
                              filterBy="#{conceptoTO.claveConcepto}"
                              filterMatchMode="contains"
                              sortBy="#{conceptoTO.claveConcepto}">
                        <h:outputText value="#{conceptoTO.claveConcepto}" />
                    </p:column>


                    <p:column style="width:500px" headerText="Nombre" filterBy="#{conceptoTO.nombreConcepto}" filterMatchMode="contains">
                        <h:outputText value="#{conceptoTO.nombreConcepto}" />
                    </p:column>

                    <p:column style="text-align: center; width:200px" headerText="Prioridad de Cálculo"
                              filterMatchMode="contains"
                              sortBy="#{conceptoTO.prioridadCalculo}"
                              filterBy="#{conceptoTO.prioridadCalculo}">
                        <h:outputText value="#{conceptoTO.prioridadCalculo}" />
                    </p:column>

                </p:dataTable>                
            </h:panelGrid>

            <br/>

            <div align="right">
            <p:commandButton id="btnActPrioridad"
                             value="Actualizar "
                             styleClass="commandButton"
                             actionListener="#{prioridadDeConceptosMB.actualizarPrioridad}"
                             update="conceptosPrioridad btnActPrioridad"  disabled="#{prioridadDeConceptosMB.deshabilitaActualizacion}">
                <p:confirm message="Confirma la actualización de prioridades" header="Prioridades"/>
                <p:confirmDialog global="true" showEffect="fade" hideEffect="fade">
                    <p:commandButton value="No" type="button" styleClass="ui-confirmdialog-no" icon="ui-icon-close" />
                    <p:commandButton value="Si" type="button" styleClass="ui-confirmdialog-yes" icon="ui-icon-check" />                     
                </p:confirmDialog>
            </p:commandButton>        
            <div style="width:5px;
                 height:auto;
                 display:inline-block;"/>
            <p:commandButton
                value="Cerrar"
                type="button"
                onclick="location = '#{request.contextPath}#{commonDataMB.defaultTargetUrl}';">
            </p:commandButton>         
                    </div>




        </h:form>
    </ui:define>

</ui:composition>